﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using Telerik.Windows.Controls;

namespace TileViewFluidContentControlExample
{
    public class FluidContentStateConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var contentState = (ContentState)value;
            switch (contentState)
            {
                case ContentState.SmallContent:
                    return FluidContentControlState.Small;
                case ContentState.NormalContent:
                    return FluidContentControlState.Normal;
                case ContentState.LargeContent:
                    return FluidContentControlState.Large;
                default:
                    return FluidContentControlState.Normal;
            }
        }
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var fluidState = (FluidContentControlState)value;
            switch (fluidState)
            {
                case FluidContentControlState.Small:
                    return ContentState.SmallContent;
                case FluidContentControlState.Normal:
                    return ContentState.NormalContent;
                case FluidContentControlState.Large:
                    return ContentState.LargeContent;
                default:
                    return ContentState.NormalContent;
            }
        }
    }
}
