﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using Telerik.Windows.Controls;

namespace TileViewFluidContentControlExample
{
    public class MyViewModel : ViewModelBase
    {
        public MyViewModel()
        {
            this.SmallImage = new Uri("Images/SmallImage.png", UriKind.Relative);
            this.Image = new Uri("Images/MediumImage.png", UriKind.Relative);
            this.LargeImage = new Uri("Images/LargeImage.png", UriKind.Relative);

            this.SmallHeader = "Default Small Header";
            this.MediumHeader = "Default Medium Header";
            this.LargeHeader = "Default Large Header";

        }
        //public string Header { get; set; }

        public string SmallHeader { get; set; }
        public string MediumHeader { get; set; }
        public string LargeHeader { get; set; }


        public Uri SmallImage { get; set; }
        public Uri Image { get; set; }
        public Uri LargeImage { get; set; }

        private ContentState _contentState;
        public ContentState ContentState
        {
            get
            {
                return this._contentState;
            }
            set
            {
                if (this._contentState != value)
                {
                    this._contentState = value;
                    this.OnPropertyChanged("ContentState");
                }
            }
        }

        public static IList<object> GenerateItems()
        {
            var result = new ObservableCollection<object>();
            foreach (var num in Enumerable.Range(1, 12))
            {
                result.Add(new MyViewModel() {
                    SmallHeader = String.Format("Small {0}", num),
                    MediumHeader = String.Format("Medium {0}", num),
                    LargeHeader = String.Format("Large {0}", num), 
                });
            }
            return result;
        }
    }
}
